<template>
<section class="section">

<form @submit.prevent="onSubmit">

    <b-field label="Infomation">
        <b-input placeholder="Enter Title Here" v-model="title" required></b-input>
    </b-field>

    <b-field>
        <b-input type="textarea" v-model="content" placeholder="Enter Article Content Here" ></b-input>
    </b-field>

    <div class="field">
    <label class="label">Status</label>
    <p class="control">
        <span class="select">
        <select>
            <option>Draft</option>
            <option>Publish</option>
        </select>
        </span>
    </p>
    </div>

    <button class="button is-primary" name="action" value="update">
        <b-icon icon="public"></b-icon>
        <span>Publish</span>
    </button>

    </form>

</section>
</template>

<script>
export default {
    layout: 'admin',
    data () {
        return {
            title: null,
            content: null,
            status: 'publish'
        }
    },
    methods: {
        onSubmit (e) {
            this.$store.dispatch('ADMIN_ADD_NEW_ARTICLE', {
                title: this.title,
                content: this.content,
                status: this.status
            }).then(response => {
                this.success(response);
                // this.$router.push('/')
                console.log(response);
            }).catch(error => {
                this.error = error.message
                console.log(error);
            })
        },
        success(response) {
            this.$toast.open({
                message: 'Acticle has been published!',
                type: 'is-success'
            })
        }
    }
}
</script>

<style scoped>

</style>